Page MenuHomePhabricator

Recommendation API improvements
Closed, ResolvedPublic

Description

  • There are some updates in service-template-node. Bring those into the recommendation API repository.
  • Setting up queries in the config is not a good thing to do. These are not configurable parameters, these are a part of the application. These have to be transferred into the code.
  • config.prod.yaml is not needed
  • T210460 - sorry it has not been done in template yet
  • the README is inaccurate. The route to test is not looking as it is written there now, with no MySQL the service will not even operate correctly. I have followed the instructions of the readme to test - one failed.
  • Given that you're hosting the project on Gerrit, .tavis.yaml is not needed
  • There is no CI for the service AFAIK. RelEng should be able to help setting it up - this deserves a subtask.
  • (optional) It would still be interesting to try removing the dependency on WDQS. There's only one query and it doesn't seem impossible to replace with API request and some filtering. Captured here: T216750.
  • The article.creation.morelike - good article title test fails if there's no mysql, so the CI will probably fail too. I would suggest mocking MySQL for that test instead of depending on a real thing.

Event Timeline

bmansurov triaged this task as High priority.Jan 8 2019, 10:16 PM
bmansurov created this task.
Pchelolo lowered the priority of this task from High to Normal.Jan 8 2019, 10:30 PM
Pchelolo added a project: Services (watching).
Pchelolo updated the task description. (Show Details)
Pchelolo added subscribers: Pchelolo, mobrovac.
Pchelolo updated the task description. (Show Details)Jan 8 2019, 10:33 PM
Pchelolo updated the task description. (Show Details)

Change 483211 had a related patch set uploaded (by Bmansurov; owner: Bmansurov):
[mediawiki/services/recommendation-api@master] Update to service-template-node v0.5.8

https://gerrit.wikimedia.org/r/483211

Change 483211 merged by Ppchelko:
[mediawiki/services/recommendation-api@master] Update to service-template-node v0.5.8

https://gerrit.wikimedia.org/r/483211

Pchelolo updated the task description. (Show Details)Jan 9 2019, 8:00 PM

Change 483218 had a related patch set uploaded (by Bmansurov; owner: Bmansurov):
[mediawiki/services/recommendation-api@master] Remove unneded files and update README

https://gerrit.wikimedia.org/r/483218

Change 483218 merged by Ppchelko:
[mediawiki/services/recommendation-api@master] Remove unneded files and update README

https://gerrit.wikimedia.org/r/483218

Pchelolo updated the task description. (Show Details)Jan 9 2019, 8:18 PM
Pchelolo updated the task description. (Show Details)Jan 9 2019, 8:29 PM

Change 483225 had a related patch set uploaded (by Bmansurov; owner: Bmansurov):
[integration/config@master] Add npm job for recommendation-api service

https://gerrit.wikimedia.org/r/483225

Pchelolo updated the task description. (Show Details)Jan 9 2019, 8:53 PM

Change 483287 had a related patch set uploaded (by Bmansurov; owner: Bmansurov):
[mediawiki/services/recommendation-api@master] Remove queires configuration optional

https://gerrit.wikimedia.org/r/483287

Change 483486 had a related patch set uploaded (by Bmansurov; owner: Bmansurov):
[mediawiki/services/recommendation-api@master] Mock MySQL in failing tests

https://gerrit.wikimedia.org/r/483486

Change 483287 merged by Ppchelko:
[mediawiki/services/recommendation-api@master] Remove queires configuration option

https://gerrit.wikimedia.org/r/483287

Change 483486 merged by Ppchelko:
[mediawiki/services/recommendation-api@master] Mock MySQL in failing tests

https://gerrit.wikimedia.org/r/483486

Change 483503 had a related patch set uploaded (by Bmansurov; owner: Bmansurov):
[mediawiki/services/recommendation-api@master] Add .eslintignore

https://gerrit.wikimedia.org/r/483503

Change 483503 merged by Ppchelko:
[mediawiki/services/recommendation-api@master] Add .eslintignore

https://gerrit.wikimedia.org/r/483503

Pchelolo updated the task description. (Show Details)Jan 10 2019, 8:05 PM

Change 483225 merged by jenkins-bot:
[integration/config@master] Add npm job for recommendation-api service

https://gerrit.wikimedia.org/r/483225

bmansurov updated the task description. (Show Details)Feb 21 2019, 6:15 PM
bmansurov closed this task as Resolved.Feb 21 2019, 6:18 PM
bmansurov removed a project: Patch-For-Review.
bmansurov updated the task description. (Show Details)
bmansurov moved this task from In Progress to Done on the Recommendation-API board.
bmansurov moved this task from In Progress to Done (current quarter) on the Research board.